<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	th:fragment="layout(content)">
<head>
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!-- Bootstrap CSS -->
<link rel="stylesheet"
	href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
	integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2"
	crossorigin="anonymous">

<!-- css for font icon -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" integrity="sha512-HK5fgLBL+xu6dm/Ii3z4xhlSUyZgTT9tuc/hSrtw6uzJOvgRr2a9jyxxT1ely+B+xFAmJKVSTbpM/CuL7qxO8w==" crossorigin="anonymous" />

<!-- custom css -->
<link rel="stylesheet" th:href="@{/css/style.css}" />


<title th:text="${title}">User base page</title>
</head>
<body>
	<!-- navbar -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top ">
		<div class="container-fluid">

			<a class="navbar-brand" href="#">Smart contact Manager</a>

			<button class="navbar-toggler" type="button"
				data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false"
				aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">

				<ul class="navbar-nav ml-auto text-uppercase">

					<li class="nav-item"><a class="nav-link active"
						aria-current="page" th:href="@{/user/index}"  href="#">Home</a></li>

					<li class="nav-item"><a class="nav-link" href="#" ><span th:text="${user.name}"></span></a></li>
					
					<li class="nav-item"><a class="nav-link " 
						th:href="@{/logout}" href="#" >Logout</a></li>
				</ul>

			</div>
		</div>
	</nav>
	
	<!-- navbar  -->
	
	<!-- sidebar -->
	<div class="sidebar mt-2">
			
			<span onclick="toggleSidebar()"  class="crossbtn">&times;</span>
			
			<a href="#" th:href="@{/user/index}" class="tag"><i class="fas fa-home"></i> Home </a>
			<a href="#" th:href="@{/user/show-contacts/0}" class="tag"><i class="fas fa-id-card-alt"></i>  Show contact</a>
			<a href="#" th:href="@{/user/add-contact-form}" class="tag"> <i class="fas fa-pencil-alt"></i> Add contact</a>
			<a href="#" th:href="@{/user/profile}" class="tag"> <i class="fas fa-user-circle"></i> Your profile</a>
			<a href="#" class="tag"><i class="fas fa-cogs"></i> Setting</a>
			<a href="#" th:href="@{/logout}" class="tag"> <i class="fas fa-sign-out-alt"></i> Logout</a>
			<div class="divider"></div>
	</div>
	<!-- sidebar close -->
	
	<!-- content -->
	<div class="content mt-5">
			
			<i onclick="toggleSidebar()" class="fas fa-bars mt-3 ml-2"></i>
				
			<div th:replace="${content}"></div>	

	</div>
	<script
		src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
		crossorigin="anonymous"></script>
		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		
		<script>
		
		function deleteContact(cId){
		
			swal({
				  title: "Are you sure?",
				  text: "Do you want to delete this contact!",
				  icon: "warning",
				  buttons: true,
				  dangerMode: true,
				})
				.then((willDelete) => {
				  if (willDelete) {
				    window.location="/user/delete-contact/"+cId;
				  } else {
				    swal("Good.. Your contact is saved !");
				  }
				});
		}
		</script>
		
		
	<script th:src="@{/js/main.js}"></script>
	
	<!-- jQuery  -->
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	
</body>
</html>